Subject: Re: bug#13648: 24.3.50; remove-overlays bugs

From: Stephen Berman <[email-masked]>
Date: Fri, 08 Feb 2013 15:50:45 +0100

On Thu, 07 Feb 2013 20:45:32 -0500 Stefan Monnier <[email-masked]> wrote:

>> Damn, I get tripped up by that a lot.  And the fact that the empty
>> string is an exception doesn't help to keep the difference in mind.
>> Still, it is rather cumbersome to include appropriate let-bindings or
>> calls to overlay-get for each string value in each use of
>> remove-overlays, as opposed to adding a single equal-check to that.
>
> Generally the best solution is very different: add another property to
> every overlay.  E.g. smerge adds the property `smerge' with values like
> `conflict' or `refine', so you can then (remove-overlays beg end
> 'smerge 'refine) without caring about particular values of
> `after-string' or any other property.

Thanks, that sounds like a good strategy; I'll try it.

Steve Berman